export const Marks = ({
  data,
  xScale,
  yScale,
  xValue,
  yValue,
  clrScale,
  clrValue,
  sizeScale,
  circleRadius,
  opacity,
  tooltipFormat,
  ttpValue
}) =>
  data.map(d => (
    <circle
      className="mark"
      cx={xScale(xValue(d))}
      cy={yScale(yValue(d))}
      r={sizeScale(circleRadius(d))}
      fill={clrScale(clrValue(d))}
      opacity={opacity}
    >
      <title>{tooltipFormat(ttpValue(d))}</title>
    </circle>
  ));
